/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package paqueteVIX;

/**
 *
 * @author sysmq
 */
public class OP {
    private String operacion;
    private Object objeto;
    private Object paramsAux;


    public OP(String operacion,Object obj)
    {
        this.operacion=operacion;
        objeto=obj;
        paramsAux=null;
    }

    public OP(String operacion,Object obj,Object aux)
    {
        this.operacion=operacion;
        objeto=obj;
        paramsAux=aux;
    }

    /**
     * @return the operacion
     */
    public String getOperacion() {
        return operacion;
    }

    /**
     * @param operacion the operacion to set
     */
    public void setOperacion(String operacion) {
        this.operacion = operacion;
    }

    /**
     * @return the objeto
     */
    public Object getObjeto() {
        return objeto;
    }

    /**
     * @param objeto the objeto to set
     */
    public void setObjeto(Object objeto) {
        this.objeto = objeto;
    }

    /**
     * @return the paramsAux
     */
    public Object getParamsAux() {
        return paramsAux;
    }

    /**
     * @param paramsAux the paramsAux to set
     */
    public void setParamsAux(Object paramsAux) {
        this.paramsAux = paramsAux;
    }
    
}
